Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 149626 - Wrong record is deleted for DB with slow connection
Wrong record is deleted for DB with slow connection
Status: VERIFIED FIXED
Product: db
Classification: Unclassified
Component: Show Data
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Shansi 11
issues@db
65fixes2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 13:14 UTC by Roman Mostyka
Modified: 2009-02-19 20:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Mostyka 2008-10-09 13:14:48 UTC
1. Connect to MS SQL Server DB.
2. Rightclick some of it's table and choose "View Data".
3. Rightclick some row and choose "Delete Selected Record(s)".
4. Select another row.

Result: Second row will be deleted, not first. I'm not sure if this is MS SQL Server specific issue or it can be the
same for every DB which has slow connection.
Comment 1 _ ahimanikya 2008-10-09 13:22:34 UTC
We could disable the row selection once user clicks on DELETE button.
Comment 2 Roman Mostyka 2008-11-19 14:09:40 UTC
sivashankari, can You take a look at this issue? This issue is P2 and is going to be included into NetBeans 6.5 Patch 1.
Please fix it till 27 November (this is code freeze date for Patch 1) or update this issue with justification why the
fix isn't possible till this date.
Thanks.
Comment 3 pgebauer 2008-11-24 09:30:00 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 4 _ ahimanikya 2008-12-05 23:01:44 UTC
http://hg.netbeans.org/main/rev/2f9fcc988348
Comment 5 Roman Mostyka 2008-12-07 01:55:11 UTC
Verified with build 081207.
Comment 6 Quality Engineering 2008-12-09 18:32:59 UTC
Integrated into 'main-golden', will be available in build *200812091520* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/2f9fcc988348
User: ahimanikya@netbeans.org
Log: Issue #149626 Wrong record is deleted for DB with slow connection
Comment 7 pgebauer 2009-01-05 15:01:25 UTC
The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/b9bb0d74f284


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo